package com.mdd.admin.validate.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("余额记录搜索参数")
public class FinanceWalletSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("关键词")
   private String keyword;
   @ApiModelProperty("类型")
   private Integer type;
   @ApiModelProperty("创建时间")
   private Integer startTime;
   @ApiModelProperty("结束时间")
   private Integer endTime;

   public String getKeyword() {
      return this.keyword;
   }

   public Integer getType() {
      return this.type;
   }

   public Integer getStartTime() {
      return this.startTime;
   }

   public Integer getEndTime() {
      return this.endTime;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public void setType(Integer type) {
      this.type = type;
   }

   public void setStartTime(Integer startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(Integer endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceWalletSearchValidate)) {
         return false;
      } else {
         FinanceWalletSearchValidate other = (FinanceWalletSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$type = this.getType();
               Object other$type = other.getType();
               if (this$type == null) {
                  if (other$type == null) {
                     break label59;
                  }
               } else if (this$type.equals(other$type)) {
                  break label59;
               }

               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            Object this$endTime = this.getEndTime();
            Object other$endTime = other.getEndTime();
            if (this$endTime == null) {
               if (other$endTime != null) {
                  return false;
               }
            } else if (!this$endTime.equals(other$endTime)) {
               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceWalletSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceWalletSearchValidate(keyword=" + this.getKeyword() + ", type=" + this.getType() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
